Bug 129307 - forcedeth ethernet driver is not passing non-local packets after upgrade to 2.6.7-1.494.2.2
forcedeth ethernet driver is not passing non-local packets after upgrade to 2...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-06 04:28 EDT by des johnston
Modified: 2015-01-04 17:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:16:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description des johnston 2004-08-06 04:28:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040803 Firefox/0.9.3

Description of problem:
After an upgrade from kernel-2.6.6-1.435.2.3 to kernel-2.6.7-1.494.2.2
on an Asus A7N8X-VM nforce2 motherboard which has an onboard ethernet
controller, non-local packets are no longer being accepted by the
forcedeth driver. 

It _looks_ like the netmask is no longer being set correctly, but it
is reported as the expected 255.255.255.0 by ifconfig and there are no
signs of problems in the initialization messages.  

ntp packets are getting through from the outside.

Version-Release number of selected component (if applicable):
kernel-2.6.7-1.494.2.2

How reproducible:
Always

Steps to Reproduce:
1.boot with kernel-2.6.7-1.494.2.2
2.attempt to access, eg. http site external to local network
3.
    

Actual Results:  no packets getting back in from external site

Expected Results:  packets getting back in from external site

Additional info:

rebooting into 2.6.6-1.435.2.3 with an identical configuration
restores sane behaviour.
Comment 1 des johnston 2004-08-06 09:05:26 EDT
This is very odd, I have just added an 8139too card to the mobo
and tried using this as eth0 rather than the onboard ethernet.

With 2.6.7-1.494.2.2 no non-local packets are coming back in,
with 2.6.6-1.435.2.3 all is well (same config for both kernels)......
Comment 2 des johnston 2004-08-09 09:33:34 EDT
Sorry guys, I should have looked at fedora list more carefully, this
is the window scaling problems discussed recently in the list:

  sysctl -w net.ipv4.tcp_default_win_scale=0

fixes the problem. Strangely none of our other FC2 machines
on the same network displayed problems with packets getting in when
upgraded, only the Nforce2 one. 
Comment 3 Dave Jones 2004-11-27 17:35:26 EST
mass update for old bugs:

Is this still a problem in the 2.6.9 based kernel update ?
Comment 4 Dave Jones 2005-04-16 00:16:59 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.